# Get factory-scoped audit logs (/docs/api-reference/audit/AuditController_findByFactory)

`GET /api/factories/{factoryId}/audit-logs`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `entityType` | query | no | string |  |
| `action` | query | no | string |  |
| `search` | query | no | string |  |
| `startDate` | query | no | string |  |
| `endDate` | query | no | string |  |
| `limit` | query | no | string |  |
| `offset` | query | no | string |  |

## Responses

### 200: Factory-scoped audit logs